/*         W3C Reference Library libwww Client Side Authentication Challenges and Credentials
                  CLIENT SIDE AUTHENTICATION CHALLENGES AND CREDENTIALS
                                             
 */
/*
**      (c) COPYRIGHT MIT 1995.
**      Please first read the full copyright statement in the file COPYRIGH.
*/
/*

   Contains code for parsing challenges and creating credentials for basic and digest
   authentication schemes. See also the HTAAUtil module for how to handle other
   authentication schemes. You don't have to use this code at all if you better like to
   use your own functions for parsing challenges and generating credentials. All functions
   are implemented as callback functions to the Authentication Manager
   
   This module is implemented by HTAABrow.c, and it is a part of the W3C Reference
   Library.
   
 */
#ifndef HTAABROW_H
#define HTAABROW_H
#include "HTAAUtil.h"
/*

BASIC AUTHENTICATION

   This is the set of callback functions for handling basic authentication.
   
 */
extern HTAuthParCallback        HTBasic_parse;
extern HTAuthGenCallback        HTBasic_generate;
extern HTAuthGcCallback         HTBasic_delete;
/*

DIGEST AUTHENTICATION

   This is the set of callback functions for handling digest authentication.
   
 */
extern HTAuthParCallback        HTDigest_parse;
extern HTAuthGenCallback        HTDigest_generate;
extern HTAuthGcCallback         HTDigest_delete;
/*

 */
#endif  /* NOT HTAABROW_H */
/*

   
   ___________________________________
   
                          @(#) $Id: HTAABrow.html,v 2.24 1996/04/12 17:45:25 frystyk Exp $
                                                                                          
    */
