/*                                             W3C Reference Library libwww Application Layer
                          NON-MANDATORY APPLICATION INCLUDE FILE
                                             
 */
/*
**      (c) COPYRIGHT MIT 1995.
**      Please first read the full copyright statement in the file COPYRIGH.
*/
/*

   In addition top the basic W3C Reference Library include file called WWWLib.h you
   canalso include this file called WWWApp.h depending on the needs of your application.
   However, it is not required and none of the files included below are ever used in the
   core part of the Library itself. Only if this file is included, the extra modules will
   get included in the linked object code. It is also possible to include only a subset of
   the files below if the functionality you are after is covered by them.
   
 */
#ifndef WWWAPP_H
#define WWWAPP_H
/*

 */
#ifdef __cplusplus
extern "C" {
#endif
/*

SYSTEM DEPENDENCIES

   The sysdep.h file includes system-specific include files and flags for I/O to network
   and disk. The only reason for this file is that the Internet world is more complicated
   than Posix and ANSI.
   
 */
#include "sysdep.h"
/*

EVENT MANAGER

   The core part of libwww only provides the hooks for the event manager. There is no
   event loop internal to the core part. Instead the application must provide the event
   loop in order to use either pseudo threads or real threads. If the application only
   uses blocking sockets without threads then it is not required to register any event
   loop at all. We provide a default implementation of an event loop which you can either
   take or get some ideas from.
   
 */
#include "HTEvntrg.h"
/*

GENERATING THE FIRST ANCHOR

   This module provides some "make life easier" functions in order to get the application
   going. They help you generate the first anchor, also called the home anchor. It also
   contains a nice set of default WWW addresses.
   
 */
#include "HTHome.h"
/*

USER DIALOGS AND MESSAGES

   You can register a set of callback functions to handle user prompting, error messages,
   confimations etc. Here we give a set of functions that can be used on almost anu
   thinkable platform. If you want to provide your own platform dependent implementation
   then fine :-)
   
 */
#include "HTDialog.h"
/*

AFTER TERMINATING A REQUEST

   When a request is terminated, the application often has to do some action as a result
   of the request (and of the result of the request). The Application part of the Library
   provides two following modules to handle loggingand history management. You can
   register a POST request handlerin the Net Manager as described in the User's Guide.
   
   You can find a function called HTLoadTerminatein the HTHome module that enables all the
   functionality for handling a request result.
   
  Logging
  
   Often it is required to log the requests issued to the Library. This can either be the
   case if the application is a server or it can also be useful in a client application.
   This module provides a simple logging mechanism which can be enabled if needed.
   
 */
#include "HTLog.h"
/*

  History Management
  
   Another type of logging is keeping track of which documents a user has visited when
   browsing along on the Web. The Library history manager provides a basic set of
   functionality to keep track of a linear history list.
   
 */
#include "HTHist.h"
/*

   End of application specific modules
   
 */
#ifdef __cplusplus
} /* end extern C definitions */
#endif

#endif
/*

   
   ___________________________________
   
                            @(#) $Id: WWWApp.html,v 2.13 1996/05/16 19:03:27 frystyk Exp $
                                                                                          
    */
