/*                                         W3C Reference Library libwww MIME PARSER/GENERATOR
                         DECLARATION OF W3C REFERENCE MIME MODULE
                                             
 */
/*
**      (c) COPYRIGHT MIT 1995.
**      Please first read the full copyright statement in the file COPYRIGH.
*/
/*

   This is the module for basic RFC822/MIME parsing that can be used together with the
   core of the W3C Reference Library. It contains all MIME specific modules which are
   required to compile and build the MIME DLL.
   
 */
#ifndef WWWMIME_H
#define WWWMIME_H
/*

 */
#ifdef __cplusplus
extern "C" {
#endif
/*

SYSTEM DEPENDENCIES

   The sysdep.h file includes system-specific include files and flags for I/O to network
   and disk. The only reason for this file is that the Internet world is more complicated
   than Posix and ANSI.
   
 */
#include "sysdep.h"
/*

LIBRARY INCLUDES

 */
#include "HTMIME.h"                     /* MIME response parser */
#include "HTMIMERq.h"                   /* MIME request generator */
#include "HTBound.h"                    /* Multipart MIME parser */
#include "HTMulpar.h"                   /* Multipart MIME generator stream */
#include "HTHeader.h"                   /* Extra Header parser and generator */
/*

   End of MIME module
   
 */
#ifdef __cplusplus
} /* end extern C definitions */
#endif

#endif
/*

   
   ___________________________________
   
                            @(#) $Id: WWWMIME.html,v 2.6 1996/04/16 16:23:34 frystyk Exp $
                                                                                          
    */
